
TYPO3.Neos - Task # 8691

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-07-06 Assigned To: Karsten Dambekalns
Updated: 2012-08-31 Due date:
Subject: Add a new menu entry for deleting pages
Description

For deleting pages, a new menu entry is needed; see screenshot of related story for details.

Related issues:
related to Base Distribution - Story # 7922: As Magarethe I want to delete pages Resolved

History
#1 - 2010-07-06 14:12 - Sebastian Kurfuerst
- Category set to JavaScript

#2 - 2010-07-06 18:35 - Sebastian Kurfuerst
- Tags set to #easy

#3 - 2010-07-07 16:29 - Simon Schaufelberger

For a first step I think this is a good task for me.

#4 - 2010-07-08 16:59 - Sebastian Kurfuerst
- Status changed from New to Accepted

#5 - 2010-07-14 09:59 - Sebastian Kurfuerst

Hey Simon,

I just wanted to ask what the current status on this issue is. Do you have any open questions, or is there anything we can do to support you solving this
issue? You'll find us in the usual Jabber chatroom.

Thanks in advance for a short status!

Greets,
Sebastian

#6 - 2010-07-16 16:07 - Simon Schaufelberger

Hi Sebastian,
oh i was waiting that you assign this issue to me. I have not yet done anyting so far.

Greets, Schaufi

#7 - 2010-07-16 22:02 - Sebastian Kurfuerst
OK; I guess this was a miscommunication then :-) If you want, feel free to work on the patch, and upload it here.

If you have any questions, just ask us!

Greets from Dresden,
Sebastian

#8 - 2010-07-17 17:22 - Simon Schaufelberger

Hi Sebastian,
can you please assign this issue to me so that i have it on my start page and other people know, that i am doing this job?

Greets from Karlsruhe, Schaufi

#9 - 2010-07-19 21:30 - Sebastian Kurfuerst
- Assigned To set to Simon Schaufelberger

done :)

#10 - 2010-08-16 11:21 - Robert Lemke
- Target version changed from 593 to 628

#11 - 2010-08-26 19:29 - Christopher Hlubek
- Assigned To changed from Simon Schaufelberger to Christopher Hlubek

#12 - 2010-08-27 15:52 - Simon Schaufelberger

can somebody tell me why this ticket has moved to somebody else now?

#13 - 2010-08-27 16:12 - Robert Lemke

Hi Simon.

We discussed this during one of the daily scrums. This task was scheduled for the last Sprint but wasn't finished. At the start of each new sprint we
assign tasks again.

If you think that you can work on it during this sprint, I'll gladly assign it back to you.

#14 - 2010-08-27 16:23 - Simon Schaufelberger

it would have been nice to read that line in the last update (assign). it took me a while to get in contact with Sebastian. i wanted to implement this in the
next 1 or 2 weeks.

since i am not "in the code" already for weeks now, it is quite hard to make the first step since ExtJS is quite difficult, especially the way it is used in
Phoenix.

It would be nice to have a "partnership" with somebody whom i can ask quickly if i am stuck. Or is the chatroom in jabber the best place for that?
#15 - 2010-09-01 19:29 - Simon Schaufelberger

Can I still do that work or has Christopher started already?

#16 - 2010-09-02 10:00 - Christopher Hlubek
- Assigned To changed from Christopher Hlubek to Simon Schaufelberger

Hi Simon,

go ahead if you want to work on that task.

Greetings,

Christopher

#17 - 2010-09-02 14:44 - Karsten Dambekalns

Simon, feel free to contact me if you need help with the PHP side of things.

#18 - 2010-09-02 16:24 - Simon Schaufelberger

Hi Karsten,
PHP is my strenth, it's more ExtJS where i need help and the structure of how things work (together).

Have just cloned all the files and i am ready to start now ;)

Are you also available for ExtJS questions?

#19 - 2010-09-02 18:51 - Karsten Dambekalns

Simon Schaufelberger wrote:

Are you also available for ExtJS questions?

Sure, but Nils would be the pro here :)

#20 - 2010-09-04 15:23 - Nils Dehl

feel free to contact me via mail or skype if you have any questions

#21 - 2010-09-07 18:40 - Karsten Dambekalns
- File 8691.patch added
Attached a patch (use git apply to get the binary stuff) that adds a delete icon. If there was something on the server side it would even work.

Now, the height is obviously too high, the confirmation should have a dark red background instead of grey and the buttons should be on the left.

If the page was actually deleted refreshing is nonsense, so there should be a redirect to the page one level up I'd say.

#22 - 2010-09-07 23:40 - Simon Schaufelberger

So Karsten, have you finished the job already or is there still something to do? I am just looking at your patch trying to understand what you have
done.

#23 - 2010-09-08 12:14 - Karsten Dambekalns

Simon Schaufelberger wrote:

So Karsten, have you finished the job already or is there still something to do?

No, as pointed out in my last comment there are still some issues left...

#24 - 2010-10-15 10:56 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- Assigned To changed from Simon Schaufelberger to Karsten Dambekalns
- % Done changed from 0 to 100

#25 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Category deleted (JavaScript)
- Target version deleted (628)

#26 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files
8691.patch 11.7 kB 2010-09-07 Karsten Dambekalns
